th-utilities-0.2.5.2: Collection of useful functions for use with Template Haskell

Safe Haskell | None
Language | Haskell2010

TH.Derive.Storable

Contents

- Orphan instances

Description

Implementation of a `Storable` deriver for data types. This works for any non-recursive datatype which has `Storable` fields.

Most users won't need to import this module directly. Instead, use `derive` / `Deriving` to create `Storable` instances.

Synopsis

- makeStorableInst :: Cxt -> Type -> Q [Dec]

# Documentation

makeStorableInst :: Cxt -> Type -> Q [Dec] Source #

Implementation used for `runDeriver`.

# Orphan instances

Deriver (Storable a) Source # |
Instance details Methods runDeriver :: Proxy (Storable a) -> Cxt -> Type -> Q [Dec] Source #